Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.UnorderedFlagRegister

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.Simulator.IMRReg
              avrora.sim.Simulator.FlagRegister
                  avrora.sim.Simulator.UnorderedFlagRegister

All Implemented Interfaces:
  State.IOReg

Direct Known Subclasses:
  ATMega128L.SimImpl.USART.ControlRegisterA

Enclosing class:
  Simulator

public class Simulator.UnorderedFlagRegister
extends Simulator.FlagRegister

Flag register for flag register that corresponds to a group of interrupts that do not necessarily have a clean, linear mapping to bits on the register.

Field Summary

Fields inherited from class avrora.sim.Simulator.FlagRegister
`baseVect, increasingVectors, maskRegister`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Constructor Summary
`Simulator.UnorderedFlagRegister(boolean b, int i, int[] mapping, byte byteMask)`

Method Summary
`protected int` | `getVectorNum(int bit)`
`void` | `update(avrora.sim.Simulator.IMRReg other)`

Methods inherited from class avrora.sim.Simulator.FlagRegister
`flagBit, update, write, writeBit`

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Simulator.UnorderedFlagRegister

    public Simulator.UnorderedFlagRegister(boolean b,
                                           int i,
                                           int[] mapping,
                                           byte byteMask)

Method Detail

### getVectorNum

    protected int getVectorNum(int bit)

### update

    public void update(avrora.sim.Simulator.IMRReg other)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD